package rocks.zipcode.quiz5.fundamentals;

/**
 * @author leon on 21/12/2018.
 */
public class Calculator {
    public static Double squareRoot(Double value)
    {
        return Math.sqrt(value);
    }

    public static Double square(Double value)
    {
        return Math.round((value*value)*100.0)/100.0;
    }

    public static Double[] squareRoots(Double... value)
    {
        Double[] sqr = new Double[value.length];
        for (int i=0;i<value.length;i++) {
            sqr[i]=squareRoot(value[i]);
        }
        return sqr;
    }

    public static Double[] squares(Double... values) {
        Double[] sqr = new Double[values.length];
        for (int i = 0; i < values.length; i++) {
            sqr[i] = square(values[i]);
        }
        return sqr;
    }

    public static Double add(Double value1, Double value2) {
        return Math.round((value1+value2)*100.0)/100.0;
    }

    public static Double subtract(Double value1, Double value2) {
        return value1-value2;
    }


    public static Double divide(Double divisor, Double dividend)
    {
        return Math.round((divisor/dividend)*100.0)/100.0;
    }
}
