package rocks.zipcode.quiz5.fundamentals;

import java.util.HashSet;
import java.util.Set;

/**
 * @author leon on 21/12/2018.
 */
public class StringUtils {
    public static Character getMiddleCharacter(String string)
    {
        return string.charAt(string.length()/2);
    }

    public static String capitalizeMiddleCharacter(String str)
    {
        char[] chars = str.toCharArray();
        for(int i=0; i<chars.length;i++) {

            char c = chars[i];
            if (i==chars.length/2)
            {
                chars[i]=Character.toUpperCase(c);
            }
        }
        return new String(chars);

    }

    public static String lowerCaseMiddleCharacter(String str)
    {
        char[] chars = str.toCharArray();
        for(int i=0; i<chars.length;i++) {

            char c = chars[i];
            if (i==chars.length/2)
            {
                chars[i]=Character.toLowerCase(c);
            }
        }
        return new String(chars);
    }

    public static Boolean isIsogram(String str)
    {
        Set<Character> chars = new HashSet<Character>();
        for (Character c : str.toCharArray()) {
            // characters to ignore
            if (c == ' ' || c == '-')
                continue;
            else if (chars.contains(Character.toUpperCase(c)))
                return false;
            else
                chars.add(Character.toUpperCase(c));
        }
        return true;
    }

    public static Boolean hasDuplicateConsecutiveCharacters(String str)
    {
        for (int i=0; i<str.length()-1;i++)
        {
            if(str.charAt(i)==str.charAt(i+1))
            {
                return true;
            }
        }
        return false;
    }

    public static String removeConsecutiveDuplicateCharacters(String str)
    {

        return null;
    }

    public static String invertCasing(String str)
    {
       char[] chars = str.toCharArray();
       for(int i=0; i<chars.length;i++) {

           char c = chars[i];
           if (Character.isUpperCase(c))
           {
               chars[i]=Character.toLowerCase(c);
           }
           else if (Character.isLowerCase(c))
           {
               chars[i] = Character.toUpperCase(c);
           }
       }
       return new String(chars);
    }
}
